import { ApplicationRef, ElementRef, Injector, NgZone, OnDestroy, OnInit, ViewContainerRef } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { Subscription } from 'rxjs';
import { AbstractSpinnerService, App } from '@wm/core';
import { MetadataService } from '@wm/variables';
import { SecurityService } from '@wm/security';
import { AppManagerService, ComponentRefProvider } from '@wm/runtime/base';
import * as i0 from "@angular/core";
export declare class PageWrapperComponent implements OnInit, OnDestroy {
    private injector;
    private route;
    private vcRef;
    private appRef;
    private metadataService;
    private securityService;
    private appManager;
    private app;
    private ngZone;
    private elRef;
    private spinnerService;
    private componentRefProvider;
    private router;
    subscription: Subscription;
    instance: any;
    constructor(injector: Injector, route: ActivatedRoute, vcRef: ViewContainerRef, appRef: ApplicationRef, metadataService: MetadataService, securityService: SecurityService, appManager: AppManagerService, app: App, ngZone: NgZone, elRef: ElementRef, spinnerService: AbstractSpinnerService, componentRefProvider: ComponentRefProvider, router: Router);
    getTargetNode(): any;
    resetViewContainer(): void;
    renderPage(pageName: any): void;
    renderPrefabPreviewPage(): void;
    loadPage(pageName: any): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngOnAttach(): void;
    ngOnDetach(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PageWrapperComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PageWrapperComponent, "app-page-outlet", never, {}, {}, never, never, false, never>;
}
